#version 330 core
out vec4 color;

in vec2 uv;

uniform sampler2D scene;
uniform sampler2D bloomBlur;
uniform bool bloom;
uniform float exposure;

void main()
{             
    const float gamma = 2.2;
    vec3 texColor = texture(scene, uv).rgb;      
    vec3 bloomColor = texture(bloomBlur, uv).rgb;
    if(bloom)
        texColor += bloomColor;
    
    color = vec4(texColor, 1.0);
}