#version 330 core
layout (location = 0) in vec3 pos;
layout (location = 1) in vec3 norm;
layout (location = 2) in vec2 uvs;

out VertexData {
   	vec3 position_world;
	vec3 normal_world;
	vec2 uv;
} vert;

uniform mat4 projection;
uniform mat4 view;
uniform mat4 model;

void main()
{
    vert.position_world = vec3(model * vec4(pos, 1.0));   
    vert.uv = uvs;
        
    mat3 normalMatrix = transpose(inverse(mat3(model)));
    vert.normal_world = normalize(normalMatrix * norm);
    
    gl_Position = projection * view * model * vec4(pos, 1.0);
}